Page 1 of 1

Como hacer que no salga esto.....

Posted: Fri Jun 07, 2019 8:03 pm
by caraban2
Hola a todos/as
Estoy ultimando una web, y cuando abro el carrito de compras me sale esto...... Use Gift Certificate (0.00kg) justo encima del listado de productos aunque mas abajo sale la opcion de incluirlo.
incluyo direccion de la web por si me podeis ayudar, os lo agradeceria mucho

http://www.tintaston.es/index.php?route=checkout/cart

Re: Como hacer que no salga esto.....

Posted: Fri Jun 07, 2019 8:10 pm
by dharmawebstudio
Hola @caraban2.

Me da la impresión que estas usando OC 3.0.2.0. Lamentablemente fue liberado con algunos bugs, entre ellos, ese que señalas.

La solución a ese problema lo puedes encontrar en este post.

viewtopic.php?t=188441

Sin embargo, hay algunos otros bugs en esa versión, todos ellos corregidos en la versión 3.0.3.2. Mi recomendación es que actualices a la última versión de OC.

Un saludo.

Re: Como hacer que no salga esto.....

Posted: Sat Jun 08, 2019 1:23 am
by caraban2
Muchisimas gracias !!,
Funciona muy bien la corrección, pero lo ideal seria actualizar a la versión que me indicas, aunque tengo una pregunta... no se alteraran los datos ? pues tengo mas de 8.000 artículos subidos y no he hecho nunca una actualización...
Un saludo y muy agradecido por tan pronta respuesta.

Re: Como hacer que no salga esto.....

Posted: Mon Jun 10, 2019 8:02 pm
by dharmawebstudio
Hola @caraban2

Actualizar un sitio de OpenCart siempre es delicado, en especial si:

Tienes extensiones instaladas que no sean compatibles con la versión a la que vas a actualizar.
Si has hecho cambios en el núcleo del sitio o en la plantilla por defecto, o en las traducciones. ( Esto siempre debe realizarse mediante modulos OcMod o modificaciones mediante eventos. ); de esta forma al actualizar el sitio los cambios y el núcleo se encuentran cada uno por su lado.

El mejor consejo que puedo darte es realiza un backup de todo (ficheros y base de datos) y haz las pruebas. Todo aquello que no este funcionando como estaba antes de la actualización probablemente es porque estaba implementado por fuera de las directivas de desarrollo de OpenCart.


Un saludo.